# This file created by conda-build 3.17.8
# meta.yaml template originally from:
# C:\ci\containers\00003hpgau2\tmp\build\80754af9\rsync-recipes\matplotlib-3.1.1-python_3.7-c_compiler_vs2017-cxx_compiler_vs2017-on-winbuilder, last modified Fri Aug 23 09:27:53 2019
# ------------------------------------------------

package:
    name: matplotlib
    version: 3.1.1
source:
    patches:
        - 0001-Find-libpng-on-windows.patch
        - cfg_qt5agg.patch
    sha256: 29d1a239bb7d1095d98d8831bb661519ab0d23e30d38ed47729f554f15e8cd3e
    url: https://github.com/matplotlib/matplotlib/archive/v3.1.1.tar.gz
build:
    ignore_run_exports:
        - pyqt
    number: '0'
    string: py37hc8f65d3_0
requirements:
    build:
        - vs2017_win-64 19.15.26726 hb4ce483_4
    host:
        - blas 1.0 mkl
        - ca-certificates 2019.5.15 1
        - certifi 2019.6.16 py37_1
        - cycler 0.10.0 py37_0
        - freetype 2.9.1 ha9979f8_1
        - icc_rt 2019.0.0 h0cc432a_1
        - icu 58.2 ha66f8fd_1
        - intel-openmp 2019.4 245
        - jpeg 9b hb83a4c4_2
        - libpng 1.6.37 h2a8f88b_0
        - mkl 2019.4 245
        - msinttypes r26 h7e1a5f4_2
        - nose 1.3.7 py37_2
        - numpy 1.11.3 py37h35d8231_12
        - numpy-base 1.11.3 py37hc3f5095_12
        - openssl 1.1.1c he774522_1
        - pyparsing 2.4.2 py_0
        - pyqt 5.9.2 py37h6538335_2
        - python 3.7.4 h5263a28_0
        - python-dateutil 2.8.0 py37_0
        - pytz 2019.2 py_0
        - qt 5.9.7 vc14h73c81de_0
        - setuptools 41.0.1 py37_0
        - sip 4.19.8 py37h6538335_0
        - six 1.12.0 py37_0
        - sqlite 3.29.0 he774522_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.15.26706 h3a45250_4
        - wincertstore 0.2 py37_0
        - zlib 1.2.11 h62dcd97_3
    run:
        - cycler >=0.10
        - freetype >=2.9.1,<3.0a0
        - kiwisolver
        - libpng >=1.6.37,<1.7.0a0
        - numpy
        - pyparsing
        - pyqt 5.9.*
        - python >=3.7,<3.8.0a0
        - python-dateutil
        - pytz
        - setuptools
        - tornado
        - vc >=14.1,<15.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    imports:
        - matplotlib
        - matplotlib._image
        - matplotlib._path
        - matplotlib._png
        - matplotlib._tri
        - matplotlib.backends._backend_agg
        - matplotlib.ft2font
        - matplotlib.pyplot
        - matplotlib.ttconv
        - mpl_toolkits
        - pylab
    requires:
        - pytest
about:
    description: 'matplotlib is a python 2D plotting library which produces publication

        quality figures in a variety of hardcopy formats and interactive

        environments across platforms. matplotlib can be used in Python scripts,

        the Python and IPython shell (ala MATLAB or Mathematica), web

        application servers, and six graphical user interface toolkits.

        '
    dev_url: https://github.com/matplotlib/matplotlib/
    doc_url: http://matplotlib.org/contents.html
    home: http://matplotlib.org/
    license: PSF-based
    license_family: PSF
    license_file: LICENSE/LICENSE
    license_url: http://matplotlib.sourceforge.net/users/license.html
    summary: Publication quality figures in Python
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - dopplershift
        - mdboom
        - ocefpaf
        - pelson
        - tacaswell
